### Function

# GLib Tree new_with_data

#### Declaration [src]

    GTree*
    g_tree_new_with_data (
      GCompareDataFunc key_compare_func,
      gpointer key_compare_data
    )

#### Description [src]

Creates a new `GTree` with a comparison function that accepts user data. See `g_tree_new()` for more details.

This function is not directly available to language bindings.

#### Parameters

`key_compare_func`

  Type: `GCompareDataFunc`

  Qsort()-style comparison function.

`key_compare_data`

  Type: `gpointer`

  Data to pass to comparison function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GTree`

A newly allocated `GTree`.

The caller of the function takes ownership of the data, and is responsible for freeing it.